unit MediaInfoDll;

interface
uses
{$IFDEF WIN32}
  Windows;
{$ELSE}
  Wintypes, WinProcs;
{$ENDIF}

function MediaInfo_Open(File__: PWideChar): Cardinal cdecl  {$IFDEF WIN32} stdcall {$ENDIF};

procedure MediaInfo_Close(Handle: Cardinal) cdecl  {$IFDEF WIN32} stdcall {$ENDIF}; 

function MediaInfo_Inform(Handle: Cardinal;
                        Options: Integer): PWideChar cdecl  {$IFDEF WIN32} stdcall {$ENDIF};

function MediaInfo_GetI(Handle: Cardinal; 
                        StreamKind: Integer; 
                        StreamNumber: Integer; 
                        Parameter: Integer; 
                        KindOfInfo: Integer): PWideChar cdecl  {$IFDEF WIN32} stdcall {$ENDIF};

function MediaInfo_Get(Handle: Cardinal;
                       StreamKind: Integer;
                       StreamNumber: Integer;
                       Parameter: PWideChar;
                       KindOfInfo: Integer;
                       KindOfSearch: Integer): PWideChar cdecl  {$IFDEF WIN32} stdcall {$ENDIF};

function MediaInfo_Option(Handle: Cardinal;
                       Option: PWideChar;
                       Value: PWideChar): PWideChar cdecl  {$IFDEF WIN32} stdcall {$ENDIF};

function MediaInfo_State_Get(Handle: Cardinal): Integer cdecl  {$IFDEF WIN32} stdcall {$ENDIF};

function MediaInfo_Count_Get(Handle: Cardinal;
                             StreamKind: Integer;
                             StreamNumber: Integer): Integer cdecl  {$IFDEF WIN32} stdcall {$ENDIF};


implementation

function MediaInfo_Open; external 'MediaInfo.Dll';
procedure MediaInfo_Close; external 'MediaInfo.Dll';
function MediaInfo_Inform; external 'MediaInfo.Dll';
function MediaInfo_GetI; external 'MediaInfo.Dll';
function MediaInfo_Get; external 'MediaInfo.Dll';
function MediaInfo_Option; external 'MediaInfo.Dll';
function MediaInfo_State_Get; external 'MediaInfo.Dll';
function MediaInfo_Count_Get; external 'MediaInfo.Dll';

end.
